import { registerExtension } from 'vscode/extensions';

var manifest = {name:"perl",displayName:"%displayName%",description:"%description%",version:"1.0.0",publisher:"vscode",license:"MIT",engines:{vscode:"*"},scripts:{"update-grammar":"node ../node_modules/vscode-grammar-updater/bin textmate/perl.tmbundle Syntaxes/Perl.plist ./syntaxes/perl.tmLanguage.json Syntaxes/Perl%206.tmLanguage ./syntaxes/perl6.tmLanguage.json"},categories:["Programming Languages"],contributes:{languages:[{id:"perl",aliases:["Perl","perl"],extensions:[".pl",".pm",".pod",".t",".PL",".psgi"],firstLine:"^#!.*\\bperl\\b",configuration:"./perl.language-configuration.json"},{id:"raku",aliases:["Raku","Perl6","perl6"],extensions:[".raku",".rakumod",".rakutest",".rakudoc",".nqp",".p6",".pl6",".pm6"],firstLine:"(^#!.*\\bperl6\\b)|use\\s+v6|raku|=begin\\spod|my\\sclass",configuration:"./perl6.language-configuration.json"}],grammars:[{language:"perl",scopeName:"source.perl",path:"./syntaxes/perl.tmLanguage.json",unbalancedBracketScopes:["variable.other.predefined.perl"]},{language:"raku",scopeName:"source.perl.6",path:"./syntaxes/perl6.tmLanguage.json"}]},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"},main:undefined};

const { registerFileUrl, whenReady } = registerExtension(manifest, undefined, {"system":true});
registerFileUrl('./syntaxes/perl.tmLanguage.json', new URL('./resources/perl.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":43428});
registerFileUrl('./syntaxes/perl6.tmLanguage.json', new URL('./resources/perl6.tmLanguage.json', import.meta.url).toString(), {"mimeType":"application/json","size":10697});
registerFileUrl('./perl.language-configuration.json', new URL('./resources/perl.language-configuration.json', import.meta.url).toString(), {"mimeType":"application/json","size":464});
registerFileUrl('./perl6.language-configuration.json', new URL('./resources/perl6.language-configuration.json', import.meta.url).toString(), {"mimeType":"application/json","size":343});
registerFileUrl('package.json', new URL('./resources/package.json', import.meta.url).toString(), {"mimeType":"application/json","size":1202});
registerFileUrl('package.nls.json', new URL('./resources/package.nls.json', import.meta.url).toString(), {"mimeType":"application/json","size":119});

export { whenReady };
